Lists all the jobs

This API requires the Account Administrator role.

Lists all the jobs for the specified Communication Manager.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length between 6 and 6
^[a-zA-Z]{6}$

The unique 6 character internal id that represents the customer account.

uuid
required

The unique id of the Communication Manager

Query Params
string
length between 1 and 255

The optional name of the job to query.
The allowed format:

  • Begins with the column name to be filtered, followed by a colon, then:
    • Either an exact string to match, or
    • A string expression including the * wildcard character
      • :{PREFIX}* will be used to find out word start with.
      • :*{POSTFIX} will be used to find out word end with
      • : will be used to match exact word
  • Begin with column name to be filtered, followed by a = operator. (this will be used to match exact string)
string
enum

The optional job status code to query

Allowed:
string
enum

The optional type of job to query

Allowed:
int32
≥ 1
Defaults to 1

The page number of the records to retrieve. Default value is 1.

int32
1 to 100
Defaults to 10

The maximum number of results per page. Default value is 10, max value is 100.

string
length ≤ 255
Defaults to createdAt desc

Specifies how response data should be sorted. name, type, statusCode, createdAt and updatedAt are valid options.
Field Names are case-senstive (should be written as it is in description).
To specify descending order, a suffix " desc" should be added. For example, "name" for ascending or "name desc" for descending".
The default sorting order is name ascending.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json
application/problem+json